package Wx

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/Wx"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /wx/delete Wx DeleteWx
//
// Delete wx information | 删除Wx信息
//
// Delete wx information | 删除Wx信息
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDsReq
//
// Responses:
//  200: BaseMsgResp

func DeleteWxHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := Wx.NewDeleteWxLogic(r.Context(), svcCtx)
		resp, err := l.DeleteWx(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
